using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 企业位置信息
    /// </summary>
    [Description("企业位置信息")]
    public partial class T_FM_BASE_ADD : MesEntityBase
    {
        [Description("经度")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string LONGITUDE { get; set; }

        [Description("纬度")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string LATITIDE { get; set; }

        [Description("层级")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string HIERARCHY { get; set; }

        [Description("地址")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string ADDRESS { get; set; }
    }
}
